<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcCamera Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcCamera.html">iPcCamera</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ae183982b9beb1b2139f7580cdbd2f33d">DisableDistanceClipping</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#af8f854a9ed62fa704a00cbabfa5e8539">Draw</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab5c71dc2df46fba42939d3fea00a969c">EnableAdaptiveDistanceClipping</a>(float min_fps, float max_fps, float min_dist)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a4b23f8eff6214de96c45213625f55c94">EnableFixedDistanceClipping</a>(float dist)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ac701d72bb28b837c9aba6560b5ff0072">GetAdaptiveMaxFPS</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a24b5f01457a4453c2c353086e2680e94">GetAdaptiveMinDistance</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0c7a4bdb265db3c57fb9ac1c9cf595dc">GetAdaptiveMinFPS</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab78ef09e09cc2c03e0c8560921ecc2e2">GetCamera</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#aa04779c151ea489fe8f046b7c1b646b8">GetClearScreen</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a264ed335bb9f38562cb9f10be704fb83">GetClearZBuffer</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#af7a386dc347bba63a79cc0f53c671497">GetDrawFlags</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0041a68464d819fc859febb39e14b847">GetFixedDistance</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a366442a0a6d366f7a6e69d7da85fc9a3">GetView</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ac98cb5337f0ab6b454cf41abb2b7fdce">SetAutoDraw</a>(bool auto_draw)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a04ecb72332e8f5dcefe14c906e5d5b18">SetClearScreen</a>(bool flag)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ae4eb456aa5a4e4130ac5b623229eda2f">SetClearZBuffer</a>(bool flag)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a3425e79f177dd31ac911b954fc573264">SetPerspectiveCenter</a>(float x, float y)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a3bbe75cada613b1275dcdd82969c7363">SetRectangle</a>(int x, int y, int w, int h)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a4c06211ea06eace5391548d269bb3e21">SetRegion</a>(iPcRegion *region, bool point=true, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a24ab3c2bc15ec89e66271f8090449210">SetZoneManager</a>(iPcZoneManager *zonemgr, bool point, const char *regionname, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0d73d05fd1e708611e2a4f146712f3b5">SetZoneManager</a>(const char *entityname, bool point, const char *regionname, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab7113f961b2aebee0108e8cd6a15663d">UpdateCamera</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#adc6b621187072bac9875304b6d48a719">UseDistanceClipping</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a288fcaa10a1e34f73b3e67cf16414144">UseFixedDistanceClipping</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
